Ignore:
Timestamp:
Jan 3, 2016, 7:17:55 AM (4 years ago)
Author:
mcalhoun@…
Message:

arpack, qrupdate, SuiteSparse: use vecLibFort instead of Accelerate Framework

  • Octave can crash unless it uses vecLibFort and its dependents do not use Accelerate Framework (run test suite to confirm)
File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/math/qrupdate/Portfile

    r144146 r144149  
    1111name                qrupdate
    1212version             1.1.2
    13 revision            3
     13revision            4
    1414# upstream follows a weird folder naming policy, we need last two digits of version separated by a dot
    1515set branch          [join [lrange [split ${version} .] 1 2] .]
     
    7777variant accelerate conflicts atlas openblas description {build with Accelerate framework} {
    7878    depends_lib-append      port:vecLibFort
    79     build.args-append       BLAS=-lvecLibFort LAPACK="-framework Accelerate"
    80     destroot.args-append    BLAS=-lvecLibFort LAPACK="-framework Accelerate"
    81     test.args-append        BLAS=-lvecLibFort LAPACK="-framework Accelerate"
     79    build.args-append       BLAS=-lvecLibFort LAPACK=-lvecLibFort
     80    destroot.args-append    BLAS=-lvecLibFort LAPACK=-lvecLibFort
     81    test.args-append        BLAS=-lvecLibFort LAPACK=-lvecLibFort
    8282}
    8383
Note: See TracChangeset for help on using the changeset viewer.